import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function list(query) {
  return request({
    url: "/core/safetycheck/rule/page",
    method: "get",
    params: query,
  });
}

// 查询【请填写功能名称】详细
export function get(id) {
  return request({
    url: "/core/safetycheck/rule/" + id,
    method: "get",
  });
}

// // 新增【请填写功能名称】
// export function add(data) {
//   return request({
//     url: '/core/safetycheck/rule',
//     method: 'post',
//     data: data
//   })
// }
//  /**
//    * 检查新的规范类型在检查项】检查内容是否需要更新
//    * @param id
//    * @param ruleType
//    * @returns
//    */
//  export function checkRuleType(id, ruleType) {
//     return request(`/appRule/check/${id}/${ruleType}`);
//   }

// 修改【请填写功能名称】
export function update(data) {
  return request({
    url: "/core/safetycheck/rule/edit",
    method: "post",
    data: data,
    showLoading: true,
  });
}

// 删除【请填写功能名称】
export function remove(id) {
  return request({
    url: "/core/safetycheck/rule/" + id,
    method: "delete",
  });
}

/**
 * 返回登录机构可使用的履职内容库
 */
export function ruleListForOrg(query) {
  return request({
    url: "/core/safetycheck/rule/ruleListForOrg",
    method: "get",
    params: query,
  });
}
